using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp6
	{
	internal class Program
		{
		static void Main(string[] args)
			{
			string[] unos1 = Console.ReadLine().Split(' ');
			string[] unos2 = Console.ReadLine().Split(' ');
			int a, f, a2, f2;
			a = int.Parse(unos1[0]);
			f = int.Parse(unos1[1]);
			a2 = int.Parse(unos2[0]);
			f2 = int.Parse(unos2[1]);
			if (a == a2 && f == f2)
				{
				Console.WriteLine("nijedan");
				}
			else if (a2 - a > 0 && f2 - f > 0)
				{
				Console.WriteLine("?");
				}
			else if (a2 - a > 0 && f2 == f)
				{
				Console.WriteLine("prvi");
				}
			else
				{
				Console.WriteLine("drugi");
				}
			}
		}
	}